package agents;

/**
 * Interface for non-livestock owning HH enabling to  enter livestock production
 * @author karma
 *
 */
public interface EntryAble  extends SimpleHH
{
	/**
	 * returns true if HH wants to enter into livestock production
	 * @return
	 */
	public boolean isEntry();
	/**
	 * creates a new livestock owning agent and removes the current one
	 * @return
	 */
	public ProducerHH entry();
}
